<template>
  <div id="app">
    <router-view />
  </div>
</template>

<script>
  import {
    mapGetters
  } from 'vuex'
  export default {
    name: 'App',
    computed: {
      ...mapGetters([
        'name'
      ])
    },
    watch: {
      $route(to, from) {
        let locationHash = window.location.hash;

        this.$matomo.setCustomUrl(locationHash.replace(/#/g, ''));
        this.$matomo.trackPageView(to.meta.title) //设置页面名称
      }
    }
  }
</script>
